Skip to main content
PUT
/
api
/
v1
/
status-pages
/
{id}
Update a status page
curl --request PUT \
  --url https://api.devhelm.io/api/v1/status-pages/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "visibility": "PUBLIC",
  "enabled": true,
  "incidentMode": "MANUAL"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organizationId": 123,
    "workspaceId": 123,
    "name": "<string>",
    "slug": "<string>",
    "branding": {
      "hidePoweredBy": true,
      "logoUrl": "<string>",
      "faviconUrl": "<string>",
      "brandColor": "<string>",
      "pageBackground": "<string>",
      "cardBackground": "<string>",
      "textColor": "<string>",
      "borderColor": "<string>",
      "headerStyle": "<string>",
      "theme": "<string>",
      "reportUrl": "<string>",
      "customCss": "<string>",
      "customHeadHtml": "<string>"
    },
    "visibility": "PUBLIC",
    "enabled": true,
    "incidentMode": "MANUAL",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "componentCount": 123,
    "subscriberCount": 123,
    "overallStatus": "OPERATIONAL"
  }
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Path Parameters

id
string<uuid>
required

Body

application/json
name
string | null

New name; null preserves current

Maximum string length: 255
description
string | null

New description; null preserves current, empty string clears

Maximum string length: 500
branding
object

Updated branding configuration; null preserves current

visibility
enum<string> | null

Page visibility; null preserves current

Available options:
PUBLIC,
PASSWORD,
IP_RESTRICTED
enabled
boolean | null

Whether the page is enabled; null preserves current

incidentMode
enum<string> | null

Incident mode: MANUAL, REVIEW, or AUTOMATIC; null preserves current

Available options:
MANUAL,
REVIEW,
AUTOMATIC

Response

200 - */*

OK

data
object
required